diff -ur /usr/ports/misc/fxload/Makefile fxload/Makefile
--- /usr/ports/misc/fxload/Makefile	2013-07-19 04:39:08.000000000 +0000
+++ fxload/Makefile	2014-02-11 01:35:18.000000000 +0000
@@ -6,13 +6,15 @@
 #
 
 PORTNAME=	fxload
-PORTVERSION=	20100510
+PORTVERSION=	20140224
 CATEGORIES=	misc
-MASTER_SITES=	http://FreeBSD.czest.pl/~wkoszek/ports/
+MASTER_SITES=	https://bitbucket.org/DJOConnor/fxload/get/
+DISTNAME=	RELEASE_${PORTVERSION}
 
-MAINTAINER=	wkoszek@FreeBSD.org
-COMMENT=	Firmware download to EZ-USB devices
+MAINTAINER=	darius@dons.net.au
+COMMENT=	Firmware downloader for Cypress EZ-USB devices
 
+WRKSRC=		${WRKDIR}/DJOConnor-fxload-5691a2bb9409
 MAN8=		fxload.8
 USE_GMAKE=	yes
 SUB_FILES=	pkg-message
diff -ur /usr/ports/misc/fxload/distinfo fxload/distinfo
--- /usr/ports/misc/fxload/distinfo	2013-07-19 04:39:08.000000000 +0000
+++ fxload/distinfo	2014-02-11 01:26:38.000000000 +0000
@@ -1,2 +1,2 @@
-SHA256 (fxload-20100510.tar.gz) = e26ac8fb37b9d765d5fd03bf64ee37a4514f5cebc7c83d51718dbfcc730e1d27
-SIZE (fxload-20100510.tar.gz) = 28041
+SHA256 (RELEASE_20140224.tar.gz) = 7ed94cd0821d065bedd49311e7addcef0805a6412e64dbaa63ded9f0dea6946c
+SIZE (RELEASE_20140224.tar.gz) = 29017
diff -ur /usr/ports/misc/fxload/pkg-descr fxload/pkg-descr
--- /usr/ports/misc/fxload/pkg-descr	2013-07-19 04:39:08.000000000 +0000
+++ fxload/pkg-descr	2014-02-11 01:32:26.000000000 +0000
@@ -1,8 +1,9 @@
 The utility allows you to download firmware into and upload firmware from
-the memory of a Cypress EZ-USB/FX2 chip. It is a de facto standard for
-programming this family of devices.
+the memory of a Cypress EZ-USB/FX2/FX3 chips. It is a de facto standard
+for programming this family of devices.
 
-Port is based on original fxload(8) program available from Linux Hotplug
-Project. Libusb support has been provided to correctly work on FreeBSD.
+This port is based on original fxload(8) program available from Linux
+Hotplug Project. Libusb support has been provided to correctly work on
+FreeBSD and patches for the FX3 have been merged in.
 
-WWW:	http://FreeBSD.czest.pl/~wkoszek/fxload/
+WWW:	https://bitbucket.org/DJOConnor/fxload
